import { z } from "zod";
export interface CreateUserEvent extends z.infer<typeof CreateUserEvent> {
}
export declare const CreateUserEvent: z.ZodObject<{
    readonly eventType: z.ZodEnum<["CreateUser"]>;
    readonly eventTime: z.ZodNumber;
} & {
    requestId: z.ZodString;
    manualPassword: z.ZodBoolean;
    errorType: z.ZodOptional<z.ZodString>;
    eventEndTime: z.ZodNumber;
    isSmokeTest: z.ZodBoolean;
}, "strip", z.ZodTypeAny, {
    errorType?: string | undefined;
    readonly eventType: "CreateUser";
    readonly eventTime: number;
    requestId: string;
    eventEndTime: number;
    isSmokeTest: boolean;
    manualPassword: boolean;
}, {
    errorType?: string | undefined;
    readonly eventType: "CreateUser";
    readonly eventTime: number;
    requestId: string;
    eventEndTime: number;
    isSmokeTest: boolean;
    manualPassword: boolean;
}>;
//# sourceMappingURL=create-user-event.d.ts.map