/**
 * Console styles to be used throughout hte cli
 */
export declare const consoleStyle: {
    success: (msg: string) => string;
    error: (msg: string) => string;
    highlight: (msg: string) => string;
};
/**
 * A set of functions for printing to the console with a set style
 * @param msg Message to print
 */
export declare const styledConsole: {
    success: (msg: string) => void;
    error: (msg: string) => void;
    highlight: (msg: string) => void;
};
//# sourceMappingURL=styled-console.d.ts.map